---
updatedAt: 2025-05-15T21:03:23.000Z
agentTools:
  projectIndex: https://docs.youlend.com/llms.txt
---

# Retrieve prequalification decision by merchant id

Sample request:
            
    GET /api/instantsettlementprequal/testmerchant/prequaldecision

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "YouLend Third Party Instant Settlement API",
    "description": "Through this API you can can create Instant Settlement transactions with YouLend",
    "contact": {
      "name": "Mark Ufland",
      "email": "mark.ufland@youlend.com"
    },
    "version": "v1.0"
  },
  "servers": [
    {
      "url": "https://partners.staging-youlendapi.com/instantsettlement"
    }
  ],
  "paths": {
    "/api/InstantSettlementPreQual/{merchantId}/prequaldecision": {
      "get": {
        "tags": [
          "InstantSettlementPreQual"
        ],
        "summary": "Retrieve prequalification decision by merchant id",
        "description": "Sample request:\r\n            \r\n    GET /api/instantsettlementprequal/testmerchant/prequaldecision",
        "parameters": [
          {
            "name": "merchantId",
            "in": "path",
            "description": "Merchant Id (string)<br />",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "api-version",
            "in": "header",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Decision returned",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PreQualDecisionView"
                }
              }
            }
          },
          "400": {
            "description": "Something went wrong!"
          },
          "401": {
            "description": "Unauthorized request"
          },
          "404": {
            "description": "Pre-qualification has not been performed for this merchant id",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResultWrapper"
                }
              }
            }
          },
          "422": {
            "description": "Merchant id is invalid"
          },
          "500": {
            "description": "Servers are unavailable"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "PreQualDecisionView": {
        "type": "object",
        "properties": {
          "merchantId": {
            "type": "string",
            "description": "Gets or sets the MerchantId",
            "nullable": true
          },
          "locatorId": {
            "type": "string",
            "description": "Gets or sets the LocatorId",
            "nullable": true
          },
          "qualified": {
            "type": "boolean",
            "description": "Gets or sets a value indicating whether the merchant is qualified"
          },
          "reasons": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Gets or sets the Reasons for a decision",
            "nullable": true
          }
        },
        "additionalProperties": false,
        "description": "Model for viewing the PreQual decision"
      },
      "ResultWrapper": {
        "type": "object",
        "properties": {
          "errorType": {
            "type": "integer",
            "format": "int32"
          },
          "data": {
            "type": "string",
            "nullable": true
          },
          "description": {
            "type": "string",
            "nullable": true
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "oauth2": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://youlend-stag.eu.auth0.com/oauth/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```